#include <stdio.h>
#include <stdarg.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

void DEBUG_printf(const char *fmt, ...)
{
#ifdef DEBUG
    va_list args;
    char str[1024];

    if (fmt == NULL)
	return;

    va_start(args, fmt);
    fprintf(stderr, str, vsprintf(str, fmt, args));
    fflush(stderr);
    va_end(args);
    return;
#endif
}
